## r-cran-poissonbinomial 1.2.1

=== DESCRIPTION ===
Package: PoissonBinomial
Type: Package
Title: Efficient Computation of Ordinary and Generalized Poisson
        Binomial Distributions
Version: 1.2.1
Date: 2020-11-26
Authors@R: person("Florian", "Junge", role = c("aut", "cre"), email = "florian.junge@h-da.de")
Maintainer: Florian Junge <florian.junge@h-da.de>
Language: en-US
Description: Efficient implementations of multiple exact and approximate methods as described in Hong (2013) <doi:10.1016/j.csda.2012.10.006>, Biscarri, Zhao & Brunner (2018) <doi:10.1016/j.csda.2018.01.007> and Zhang, Hong & Balakrishnan (2018) <doi:10.1080/00949655.2018.1440294> for computing the probability mass, cumulative distribution and quantile functions, as well as generating random numbers for both the ordinary and generalized Poisson binomial distribution.
License: GPL (>= 2)
Encoding: UTF-8
Imports: Rcpp (>= 1.0.3)
LinkingTo: Rcpp, BH
SystemRequirements: fftw3 (>= 3.3)
RoxygenNote: 7.1.1
Suggests: knitr, rmarkdown, microbenchmark
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2020-11-26 10:01:58 UTC; Florian Junge
Author: Florian Junge [aut, cre]
Repository: CRAN
Date/Publication: 2020-11-26 11:20:02 UTC

=== debian/changelog ===
r-cran-poissonbinomial (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1
  * Bump up standards version to 4.5.1

 -- Shayan Doust <hello@shayandoust.me>  Wed, 06 Jan 2021 12:10:37 +0000

r-cran-poissonbinomial (1.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 19 Sep 2020 22:24:02 +0200

r-cran-poissonbinomial (1.1.2-1) unstable; urgency=medium

  * Initial release (closes: #969639)

 -- Shayan Doust <hello@shayandoust.me>  Sun, 06 Sep 2020 11:33:15 +0000

=== debian/control ===
Source: r-cran-poissonbinomial
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Shayan Doust <hello@shayandoust.me>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 1.0.3),
               r-cran-bh,
               libfftw3-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-poissonbinomial
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-poissonbinomial.git
Homepage: https://cran.r-project.org/package=PoissonBinomial
Rules-Requires-Root: no

Package: r-cran-poissonbinomial
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Efficient Computation of Ordinary and Generalized Poisson
 Binomial Distributions Efficient implementations of multiple exact and
 approximate methods as described in Hong (2013)
 <doi:10.1016/j.csda.2012.10.006>, Biscarri, Zhao & Brunner (2018)
 <doi:10.1016/j.csda.2018.01.007> and Zhang, Hong & Balakrishnan (2018)
 <doi:10.1080/00949655.2018.1440294> for computing the probability mass,
 cumulative distribution and quantile functions, as well as generating
 random numbers for both the ordinary and generalized Poisson binomial
 distribution.

## r-cran-poissonbinomial 1.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Efficient Computation of Ordinary and Generalized Poisson
         Binomial Distributions
-Version: 1.2.1
-Date: 2020-11-26
+Version: 1.2.4
+Date: 2021-07-27
 Authors@R: person("Florian", "Junge", role = c("aut", "cre"), email = "florian.junge@h-da.de")
 Maintainer: Florian Junge <florian.junge@h-da.de>
 Language: en-US
@@ -11,13 +11,13 @@
 License: GPL (>= 2)
 Encoding: UTF-8
 Imports: Rcpp (>= 1.0.3)
-LinkingTo: Rcpp, BH
+LinkingTo: Rcpp
 SystemRequirements: fftw3 (>= 3.3)
 RoxygenNote: 7.1.1
 Suggests: knitr, rmarkdown, microbenchmark
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2020-11-26 10:01:58 UTC; Florian Junge
+Packaged: 2021-07-26 22:28:11 UTC; Florian
 Author: Florian Junge [aut, cre]
 Repository: CRAN
-Date/Publication: 2020-11-26 11:20:02 UTC
+Date/Publication: 2021-07-27 05:00:10 UTC

=== debian/changelog ===
r-cran-poissonbinomial (1.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Aug 2021 08:27:26 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,8 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 1.0.3),
-               r-cran-bh,
                libfftw3-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-poissonbinomial
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-poissonbinomial.git
 Homepage: https://cran.r-project.org/package=PoissonBinomial

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/PoissonBinomial_([-\d.]*)\.tar\.gz

## r-cran-poissonbinomial 1.2.5

=== DESCRIPTION ===
Package: PoissonBinomial
Type: Package
Title: Efficient Computation of Ordinary and Generalized Poisson
        Binomial Distributions
Version: 1.2.5
Date: 2022-05-31
Authors@R: person("Florian", "Junge", role = c("aut", "cre"), email = "florian.junge@h-da.de")
Maintainer: Florian Junge <florian.junge@h-da.de>
Language: en-US
Description: Efficient implementations of multiple exact and approximate methods as described in Hong (2013) <doi:10.1016/j.csda.2012.10.006>, Biscarri, Zhao & Brunner (2018) <doi:10.1016/j.csda.2018.01.007> and Zhang, Hong & Balakrishnan (2018) <doi:10.1080/00949655.2018.1440294> for computing the probability mass, cumulative distribution and quantile functions, as well as generating random numbers for both the ordinary and generalized Poisson binomial distribution.
License: GPL-3
Encoding: UTF-8
Imports: Rcpp (>= 1.0.3)
LinkingTo: Rcpp
SystemRequirements: fftw3 (>= 3.3)
Suggests: knitr, rmarkdown, microbenchmark
VignetteBuilder: knitr
URL: https://github.com/DISOhda/PoissonBinomial
BugReports: https://github.com/DISOhda/PoissonBinomial/issues
RoxygenNote: 7.2.0
NeedsCompilation: yes
Packaged: 2022-05-31 09:44:49 UTC; Florian
Author: Florian Junge [aut, cre]
Repository: CRAN
Date/Publication: 2022-05-31 10:10:02 UTC

=== debian/changelog ===
r-cran-poissonbinomial (1.2.5-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 02 Jun 2022 20:16:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-cran-poissonbinomial
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Shayan Doust <hello@shayandoust.me>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-poissonbinomial
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-poissonbinomial.git
+Homepage: https://cran.r-project.org/package=PoissonBinomial
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp (>= 1.0.3),
                libfftw3-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-poissonbinomial
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-poissonbinomial.git
-Homepage: https://cran.r-project.org/package=PoissonBinomial
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-poissonbinomial
 Architecture: any

## r-cran-poissonbinomial 1.2.6

=== DESCRIPTION ===
Package: PoissonBinomial
Type: Package
Title: Efficient Computation of Ordinary and Generalized Poisson
        Binomial Distributions
Version: 1.2.6
Date: 2023-11-29
Authors@R: person("Florian", "Junge", role = c("aut", "cre"), email = "florian.junge@mailbox.org")
Maintainer: Florian Junge <florian.junge@mailbox.org>
Language: en-US
Description: Efficient implementations of multiple exact and approximate methods as described in Hong (2013) <doi:10.1016/j.csda.2012.10.006>, Biscarri, Zhao & Brunner (2018) <doi:10.1016/j.csda.2018.01.007> and Zhang, Hong & Balakrishnan (2018) <doi:10.1080/00949655.2018.1440294> for computing the probability mass, cumulative distribution and quantile functions, as well as generating random numbers for both the ordinary and generalized Poisson binomial distribution.
License: GPL-3
Encoding: UTF-8
Imports: Rcpp (>= 1.0.11)
LinkingTo: Rcpp
SystemRequirements: fftw3 (>= 3.3)
Suggests: knitr, rmarkdown, microbenchmark
VignetteBuilder: knitr
URL: https://github.com/fj86/PoissonBinomial
BugReports: https://github.com/fj86/PoissonBinomial/issues
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-11-29 11:49:55 UTC; Florian Junge
Author: Florian Junge [aut, cre]
Repository: CRAN
Date/Publication: 2023-11-29 12:50:06 UTC

=== debian/changelog ===
r-cran-poissonbinomial (1.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 08:30:37 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-poissonbinomial
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-poissonbinomial.git
 Homepage: https://cran.r-project.org/package=PoissonBinomial
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 1.0.3),
+               r-cran-rcpp (>= 1.0.11),
                libfftw3-dev
 Testsuite: autopkgtest-pkg-r

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem R

## r-cran-poissonbinomial 1.2.7

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Efficient Computation of Ordinary and Generalized Poisson
         Binomial Distributions
-Version: 1.2.6
-Date: 2023-11-29
+Version: 1.2.7
+Date: 2024-09-17
 Authors@R: person("Florian", "Junge", role = c("aut", "cre"), email = "florian.junge@mailbox.org")
 Maintainer: Florian Junge <florian.junge@mailbox.org>
 Language: en-US
@@ -17,9 +17,9 @@
 VignetteBuilder: knitr
 URL: https://github.com/fj86/PoissonBinomial
 BugReports: https://github.com/fj86/PoissonBinomial/issues
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2023-11-29 11:49:55 UTC; Florian Junge
+Packaged: 2024-09-17 18:40:09 UTC; Florian
 Author: Florian Junge [aut, cre]
 Repository: CRAN
-Date/Publication: 2023-11-29 12:50:06 UTC
+Date/Publication: 2024-09-17 19:10:05 UTC

=== debian/changelog ===
r-cran-poissonbinomial (1.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 10 Oct 2024 11:30:43 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-poissonbinomial
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-poissonbinomial.git
 Homepage: https://cran.r-project.org/package=PoissonBinomial
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
